<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en:gb">
<head profile="http://gmpg.org/xfn/11">
	<title><?php bloginfo("name"); wp_title(); ?><?php if ($page >= 2) { ?> Page <?php echo $page;?><?php }?></title>
	<meta http-equiv="Content-Type" content="<?php bloginfo("html_type"); ?>; charset=<?php bloginfo("charset"); ?>" />
	<meta http-equiv="imagetoolbar" content="no" />
	<meta name="MSSmartTagsPreventParsing" content="TRUE" />
	<base href="<?php bloginfo("url"); ?>"></base>

	<link rel="pingback" href="<?php bloginfo("pingback_url"); ?>" />
	<link rel="alternate" type="application/rss+xml" title="<?php bloginfo("name");?> RSS Feed" href="<?php bloginfo("rss2_url"); ?>" />
	<?php if (is_category()) { /* Add an extra RSS feed to the header if in a category. */?>
	<link rel="alternate" type="application/rss+xml" title="<?php bloginfo("name"); wp_title();?> RSS Feed" href="<?php $category = get_category($cat);get_category_rss_link(true,$cat,$category->category_nicename )?>" />
	<?php }?>

	<link rel="stylesheet" href="<?php bloginfo("template_directory");?>/css.php?c=style.css" type="text/css" media="screen" />
	<link rel="stylesheet" href="<?php bloginfo("template_directory");?>/css.php?c=print.css" type="text/css" media="print" /><?php
	if (file_exists(TEMPLATEPATH."/handheld.css")){ // if there is a handheld.css file then we load it. ?>
	<link rel="stylesheet" href="<?php bloginfo("template_directory");?>/handheld.css"   type="text/css" media="handheld" /><?php }
	if (file_exists(TEMPLATEPATH."/editor.css")){ // if there is a editor.css file, part of wp-superedit plugin, then we load it. ?>
	<link rel="stylesheet" href="<?php bloginfo("template_directory");?>/editor.css"   type="text/css" media="screen" /><?php }?>

	<!--[if lt IE 7]>
	<link rel="stylesheet" href="<?php bloginfo("template_directory");?>/ie.css" type="text/css" media="screen"/>
	<style>div#header-content { filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='<?php bloginfo('template_directory');?>/style/header-content.png', sizingMethod='image');}</style>
	<![endif]-->
	<?php wp_head(); ?>
</head>
<body id="<?php echo strtolower(date('M'));?>" class="<?php echo body_class();?>">
<div class="container">
	<div id="header">
		<a id="mainlogo" href="<?php bloginfo("home"); ?>">
			<?php
			if (function_exists("get_header_image")){
				$imgSrc = get_header_image();
			} else {
				$imgSrc = bloginfo('template_directory')."/style/logo.png";
			}?> 
			<img src="<?php echo $imgSrc; ?>" alt="<?php bloginfo('name') ?>"/>
		</a>
		<h1 class="main-page-title">
			<?php bloginfo("name");?>
		</h1>
		<div class="tagline">
			<h2><?php bloginfo('description') ?></h2>
			<div class="login">
				<?php wp_loginout(); wp_register("&nbsp;&nbsp;/&nbsp;&nbsp;","");?>
			</div>
		</div>
		<div id="header-content">
			<div class="banner"><?php
				if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar("Header Content") ) { ?>
				<form method="get" action="<?php bloginfo('url'); ?>/" class="searchForm">
					<?php
					if (function_exists("get_search_query")) $s = attribute_escape(apply_filters( 'the_search_query', get_search_query()));
					$text_class = ($s == "" ? " unfocused" : " focused");?>
					<input
						   type="text"
						   class="searchTextField<?php echo $text_class;?>"
						   value="<?php echo ($s != "" ? $s : "Search") ; ?>"
						   name="s"
						   onblur="if (this.value==''){this.value='Search';this.className=this.className.replace(' focused',' unfocused');}"
						   onfocus="if (this.value=='Search'){this.value='';this.className=this.className.replace(' unfocused',' focused');}"
					/>
					<input type="submit" class="searchSubmitButton" value="<?php _e("Go")?>" />
				</form><?php
				}?>
			</div>
		</div>
	</div>