<?php if ("thecontent.php" == basename($_SERVER["SCRIPT_FILENAME"])) die ("Please don't do that.");
/*
	Version 1.0
	
	This file means I don't have to edit lots of files everytime I make a change to the layout.
	Each theme can use this file for the posts centre and and changed needed can be done with CSS.
*/
$title = get_the_title();
if ($title) {?>
	<div class="post-header"><?php 
		if (is_single() || is_page()) { 
			echo ($page >= 2 ? "<div class=\"post-title\"><h2>$title Page $page</h2></div>" : "<div class=\"post-title\"><h2>$title</h2></div>");
		} else {
			$link = get_permalink();
			echo "<div class=\"post-title\"><h2><a href=\"$link\" rel=\"bookmark\">$title</a></h2></div>";
		}
		if (get_post_meta($post->ID,"Hide-Meta-Data",true) != 1) {?>
		<div class="time-date-owner">
			<a href="<?php echo get_author_posts_url(get_the_author_ID()); ?>"><?php the_author();?></a>, <?php the_time("l, F jS, Y") ?> at <?php the_time() ?>
			<?php if ($post->post_type == "post") { echo "<p>Posted in "; the_category(", "); echo "</p>";}?>
		</div>
		<?php }?>
	</div>
<?php } ?>
<div class="post-body">
	<?php
	the_content();
	if (is_attachment()) {
		$attachmentdetails =  get_page($post->ID);
		$attachmentmeta  = get_post_meta($post->ID, "_wp_attachment_metadata", true);
		$filetype = explode("/",$attachmentdetails->post_mime_type);
		/* Images should be aligned to the center of the page.*/
		if ($filetype[0] == "image") { ?>
			<div style="text-align:center; display:block;"><img src="<?php echo $attachmentdetails->guid;?>" alt="<?php echo $attachmentdetails->post_name;?>"  /></div><?php	
		} elseif ($filetype[0] == "audio" && $filetype[1] == "mpeg") { 
		/* The following attaches a flash media player to play the file if the file is an MP3 */?>
		<object type="application/x-shockwave-flash" width="400" height="15" data="<?php echo get_bloginfo("template_directory")?>/core/xspf_player_slim.swf?song_url=<?php echo $attachmentdetails->guid;?>&amp;song_title=<?php the_title(false);?>">
			<param name="movie" value="<?php echo get_bloginfo("template_directory")?>/core/xspf_player_slim.swf?song_url=<?php echo $attachmentdetails->guid;?>&amp;song_title=<?php the_title(false);?>" />
		</object><?php
		}
		previous_post_link("<span style=\"display:block; margin-top: 1em;\">%link</span>","Go back to %title",false);
	}
	global $multipage;
	if ($multipage) { ?>
		<div class="page-links"><strong>Select page:&nbsp;</strong>
		<?php wp_link_pages("before=&after=&pagelink=<span>%</span>");?>
		</div><?php
	}?>
</div>
<div class="post-footer">
	<?php /* if ( pings_open() ) { ?><span class="trackback"><a href="<?php trackback_url() ?>" rel="trackback">TrackBack Address.</a><!--<?php trackback_rdf(); ?>--></span><?php } */?>
	<?php edit_post_link("Edit this entry.","<span class=\"edit-post\">","</span>"); ?>
	<?php if ( comments_open() && !(is_single() || is_page())) { echo "<span class=\"comment-pop-link\">"; comments_popup_link("No Comments yet &#187;", "1 Comment &#187;", "% Comments &#187;"); echo "</span>"; }?>
</div><?php
if (function_exists("get_the_tags")) { // Make sure tagging is available before we go on.
	$posttags = get_the_tags();
	if ($posttags) { // If there are tags then we'll add all the needed mark up. ?>
		<div class="tag-cloud-links">
			<span class="tag-cloud-links-top"></span>
			<strong><?php _e("Tagged as: ");?></strong><?php 
			$x = 1;
			foreach($posttags as $tag) {
				echo "<a href=\"".get_tag_link($tag->term_id)."\">{$tag->name}</a>".(count($posttags) != $x ? ", " : ""); // Put a comma at the end of each tag if it is not the last.
				$x++;
			}?>
			<span class="tag-cloud-links-bottom"></span>
		</div><?php
	}
}
?>