<?php if ("thecontent.php" == basename($_SERVER["SCRIPT_FILENAME"])) die ("Please don't do that.");
/*
	Version 1.0
	
	This file is here so I don't have to edit lots of files everytime I make a change to the layout.
	Each theme can use this file for the posts centre and changes can be done in the CSS.
*/
$title = get_the_title();
if ($title) {?>
	<div class="post-header"><?php 
		if (is_single() || is_page()) { 
			echo ($page >= 2 ? "<div class=\"post-title\"><h2>$title Page $page</h2></div>" : "<div class=\"post-title\"><h2>$title</h2></div>");
		} else {
			$link = get_permalink();
			echo "<div class=\"post-title\"><h2><a href=\"$link\" rel=\"bookmark\">$title</a></h2></div>";
		}?>
		<div class="time-date-owner">
			<a href="<?php echo get_author_posts_url(get_the_author_ID()); ?>"><?php the_author();?></a>, <?php the_time("l, F jS, Y") ?> at <?php the_time() ?>
			<?php if ($post->post_type == "post") { echo "<p>Posted in "; the_category(", "); echo "</p>";}?>
		</div>
	</div>
<?php } ?>
<div class="post-body">
	<?php
	the_excerpt();
	global $multipage;
	if ($multipage) { ?>
		<div class="page-links"><strong>Select page:&nbsp;</strong>
		<?php wp_link_pages("before=&after=&pagelink=<span>%</span>");?>
		</div><?php
	}?>
</div>
<div class="post-footer">
	<?php if ( pings_open() ) { ?><span class="trackback"><a href="<?php trackback_url() ?>" rel="trackback">TrackBack Address.</a><!--<?php trackback_rdf(); ?>--></span><?php } ?>
	<?php edit_post_link("Edit this entry.","<span class=\"edit-post\">","</span>"); ?>
	<?php if ( comments_open() && !(is_single() || is_page())) { echo "<span class=\"comment-pop-link\">"; comments_popup_link("No Comments yet &#187;", "1 Comment &#187;", "% Comments &#187;"); echo "</span>"; }?>
</div><?php
if (function_exists("get_the_tags")) { // Make sure tagging is available before we go on.
	$posttags = get_the_tags();
	if ($posttags) { // If there are tags then we'll add all the needed mark up. ?>
		<div class="tag-cloud-links">
			<span class="tag-cloud-links-top"></span>
			<strong><?php _e("Tagged as: ");?></strong>
			<?php foreach($posttags as $tag) { echo "<a href=\"".get_tag_link($tag->term_id)."\">{$tag->name}</a>, ";} ?>
			<span class="tag-cloud-links-bottom"></span>
		</div><?php
	}
}
?>